package main

import (
	"JISQueueing/common"
	"JISQueueing/server"
	"flag"
	"net/http"
	"strconv"
)

var hashToStaff = make(map[string]common.Staff)

func main() {
	var port int
	var debug bool
	flag.IntVar(&port, "port", 8080, "Specify port for socket and webserver")
	flag.BoolVar(&debug, "debug", false, "Specify the debug mode status")

	hostLocation := ":" + strconv.Itoa(port)
	mux := server.NewServerMux(debug)
	http.ListenAndServe(hostLocation, mux)
}
